html,
body {
  margin: 0;
  padding: 0;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

.comments {
  padding: 12px;
  max-width: 800px;
  margin: 10px auto;
  border: 1px solid #dddfe2;
  border-radius: 3px;
  background-color: #fff;
}

.comments p {
  margin: 0;
}

.comments__container {
  width: 100%;
}

.comments__title {
  padding-bottom: 8px;
  border-bottom: 1px solid #000;
  font-size: 20px;
  line-height: 1.2;
  text-transform: capitalize;
  font-weight: 600;
}

.comments__form {
  margin-top: 20px;
  margin-bottom: 0;
}

.comments__form-head {
  display: flex;
  align-items: center;
  gap: 8px;
}

.comments__avatar {
  width: 32px;
  min-width: 32px;
  height: 32px;
  border-radius: 50%;
  overflow: hidden;
  object-fit: cover;
}

.comments__input-placeholder {
  width: 100%;
  padding: 8px 10px;
  color: #1d2129;
  background-color: #f2f3f5;
  border-radius: 18px;
}
.comment__block-input {
  background-color: transparent;
  border: 0;
  height: 100%;
  padding: 0;
  resize: none;
  width: 100%;
  max-width: 200px;
  padding: 5px;
}

.comments__input-text {
  font-size: 14px;
  line-height: 1.2;
}

.comments__post-button {
  display: block;
  margin-top: 10px;
  margin-left: auto;
  padding: 8px 10px;
  border: none;
  border-radius: 18px;
  background-color: #f2f3f5;
  cursor: pointer;
  font: inherit;
  font-size: 14px !important;
  line-height: 16px !important;

}

.comments__post-button:hover {
  background-color: #e3e3e4;
}

.comments__sort {
  margin-bottom: 15px;
  font-size: 14px;
  line-height: 1.2;
}

.comments__list {
  display: flex;
  flex-direction: column;
  /* gap: 20px; */
}

.comments__item {
  display: flex;
  gap: 8px;
  margin: 15px 0;
}

.comments__item--reply {
  padding-left: 32px;
}

.comments__content {
  width: 100%;
}

.comments__bubble {
  width: 100%;
  padding: 8px 10px;
  color: #1d2129;
  background-color: #f2f3f5;
  border-radius: 18px;
}

.comments__name {
  font-size: 16px;
  font-weight: 700;
  color: #365899;
}

.comments__message {
  font-size: 14px;
  line-height: 1.4;
}

.comments__screen {
  max-width: 230px;
  max-height: 400px;
  display: block;
}

.comments__arrow {
  color: inherit;
}

.comments__actions {
  display: flex;
  align-items: center;
  gap: 5px;
  margin-top: 8px;
  flex-wrap: wrap;
}

.comments__like {
  display: flex;
  align-items: center;
  gap: 5px;
  height: 34px;
  padding: 8px 12px;
  background-color: #f2f3f5;
  border-radius: 18px;
}

.comments__like-icon {
  width: 22px;
  min-width: 22px;
  height: 22px;
  object-fit: contain;
}

.comments__like-count {
  font-size: 14px;
  line-height: 1;
}

.comments__reply-button {
  font-size: 14px !important;
  line-height: 16px !important;
  padding: 8px 12px;
  border: none;
  border-radius: 18px;
  background-color: #f2f3f5;
  cursor: pointer;
  font: inherit;
}

.comments__reply-button:hover {
  background-color: #e3e3e4;
}

.comments__time {
  font-size: 14px;
  line-height: 1.2;
  color: #65676b;
}
